"Your browser is not compatible" error when pairing tyro terminal with vend on google chrome

Problem

Tyro terminal doesn't pair with the vend account on google chrome while completing the pairing process and returns an error on the screen: "Your browser is not compatible"

Setup

  • Vend for PC or Mac
  • Tyro terminal

Cause

This error surfaces if the google chrome browser doesn't have the cookies enabled or particularly disabled for the tyro hosted payments. This is usually due to google chrome plugins like an ad blocker preventing the cookies from certain webpages.

Solution

Google chrome browser needs to have cookies enabled for tyro payments to work. 

  1. On your computer, open Chrome.
  2. At the top right, click More More and then Settings.
  3. At the bottom, click Advanced.
  4. Under "Privacy and security," click Content settings.
  5. Click Cookies.
  6. From here, you can:
    • Turn on cookies: Next to "Blocked," turn on the switch.
    • Turn off cookies: Turn off Allow sites to save and read cookie data.
  7. Reload the screen and continue with the Tyro pairing process.

Additional Information

In some cases If the issue is created by google chrome plugins as Adblocker you have to enable third-party cookies in Google Chrome (Mac):

  1. Open Chrome preferences click on Settings, then Show Advanced Settings.
  2. Under Privacy, click on Content Settings.
  3. Make sure "Block third-party cookies and site data" is not checked.

It is also recommended to remove the Adblocker plugin if possible as this has proven to have degraded Vend's performance.

 

Did this answer your question?
Have more questions? Contact us so that we can help you out.